; -*- mode:     CL -*- ----------------------------------------------------- ;
; File:         zebu-package.l
; Description:  package definition
; Author:       Joachim H. Laubsch
; Created:      13-Nov-91
; Modified:     Mon Mar  8 21:00:07 1993 (Joachim H. Laubsch)
; Language:     CL
; Package:      CL-USER
; Status:       Experimental (Do Not Distribute) 
; RCS $Header: $
;
; (c) Copyright 1991, Hewlett-Packard Company
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Revisions:
; RCS $Log: $
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(in-package "CL-USER")
(provide "zebu-package")

(defpackage "ZEBU"
    (:nicknames "ZB")
    #+LUCID (:use "LISP" "LUCID-COMMON-LISP")
    #+LUCID (:import-from "SYSTEM" "*KEYWORD-PACKAGE*")
    #+MCL   (:use "COMMON-LISP" "CCL")
    #+KCL   (:use "LISP")
    #+ALLEGRO (:use "COMMON-LISP" "EXCL")
    (:export "*COMMENT-BRACKETS*" "*COMMENT-START*" "*PRESERVE-CASE*"
	     "*CASE-SENSITIVE*"
	     "*DISALLOW-PACKAGES*" "*STRING-DELIMITER*" "*SYMBOL-DELIMITER*"
	     "*IDENTIFIER-START-CHARS*" "*IDENTIFIER-CONTINUE-CHARS*"
	     "*ALLOW-CONFLICTS*" "*WARN-CONFLICTS*" 
	     "*CURRENT-GRAMMAR*" "*GENERATE-DOMAIN*"
	     "*ZEBU-VERSION*"
	     "CATEGORIZE" "END-OF-TOKENS-CATEGORY"
	     "COMPILE-LALR1-GRAMMAR" "COMPILE-SLR-GRAMMAR"
	     "DEFRULE" "FILE-PARSER" "FIND-GRAMMAR" "IDENTITY*" "IDENTIFIER"
	     "KB-DOMAIN" "KB-DOMAIN-P" "KB-SEQUENCE"
	     "KB-DEF-SLOT-TYPE" "KB-SET-VALUED-SLOT-P"

             "KB-TREE-ATTRIBUTES" "DEFINE-TREE-ATTRIBUTES"
	     "PREORDER-TRANSFORM" "POSTORDER-TRANSFORM"
	     "KIDS" "FOR-EACH-KID" "FOR-EACH-KID!"
	     "FOR-EACH-DESCENDANT" 
	     "KB-COPY" "KB-EQUAL" "KB-EQUALP"
	     "LIST-PARSER" "LR-PARSE" "PRINT-ACTIONS" "READ-PARSER"
	     "ZEBU-COMPILE-FILE" "ZEBU-LOAD-FILE"
	     "COMPILE-FROM-COMMAND-LINE" "ZEBU-TOP"
	     "EMPTY-SEQ" "SEQ-CONS" "EMPTY-SET" "SET-CONS" "EMPTY" 
	     "K-4-3" "K-2-1" "K-2-2" "K-3-2" "CONS-1-3" "CONS-2-3"
	     )
    #-LUCID
    (:export "*LOAD-SOURCE-PATHNAME-TYPES*" "*LOAD-BINARY-PATHNAME-TYPES*"))

(in-package "ZB")
(proclaim '(special *COMMENT-BRACKETS* *COMMENT-START* *PRESERVE-CASE*
	    *CASE-SENSITIVE* *DISALLOW-PACKAGES* *STRING-DELIMITER*
	    *SYMBOL-DELIMITER* *IDENTIFIER-START-CHARS*
	    *IDENTIFIER-CONTINUE-CHARS*
	    *ALLOW-CONFLICTS* *WARN-CONFLICTS*
	    *CURRENT-GRAMMAR* *GENERATE-DOMAIN*
	    ))

#-LUCID
(proclaim '(special
	    *LOAD-SOURCE-PATHNAME-TYPES*
	    *LOAD-BINARY-PATHNAME-TYPES*))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;                            End of zebu-package.l
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
